package codeflies.com.mcc.Fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.core.content.ContextCompat
import androidx.fragment.app.Fragment
import codeflies.com.mcc.R
import codeflies.com.mcc.databinding.FragmentPlansBinding

class PlansFragment : Fragment() {

    private var _binding: FragmentPlansBinding? = null
    private val binding get() = _binding!!

    private var bgValue = 1

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        // Inflate the layout for this fragment
        _binding = FragmentPlansBinding.inflate(inflater, container, false)
        return binding.root
    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)



    }

    private fun bgChange(i: Int) {

        if (i == 1) {


            binding.proPlusPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.businessPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.proPlan.setBackgroundColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.btn_white
                )
            )
            binding.proPlusPlan.background = null
            binding.businessPlan.background = null


        } else if (i == 2) {


            binding.proPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.businessPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.proPlusPlan.setBackgroundColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.btn_white
                )
            )
            binding.proPlan.background = null
            binding.businessPlan.background = null


        } else if (i == 3) {


            binding.proPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.proPlusPlan.setTextColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.black
                )
            )
            binding.businessPlan.setBackgroundColor(
                ContextCompat.getColor(
                    requireContext(),
                    R.color.btn_white
                )
            )
            binding.proPlan.background = null
            binding.proPlusPlan.background = null

        }

    }



    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}