package codeflies.com.mcc.Model

import com.google.gson.annotations.SerializedName

data class PlanModel(

	@field:SerializedName("data")
	val data: List<DataItem?>? = null,

	@field:SerializedName("message")
	val message: String? = null,

	@field:SerializedName("status")
	val status: Boolean? = null
)

data class DataItem(

	@field:SerializedName("max_limit")
	val maxLimit: Int? = null,

	@field:SerializedName("features")
	val features: List<FeaturesItem?>? = null,

	@field:SerializedName("min_limit")
	val minLimit: Int? = null,

	@field:SerializedName("price")
	val price: String? = null,

	@field:SerializedName("name")
	val name: String? = null,

	@field:SerializedName("description")
	val description: String? = null,

	@field:SerializedName("currency")
	val currency: String? = null,

	@field:SerializedName("id")
	val id: Int? = null
)

data class FeaturesItem(

	@field:SerializedName("id")
	val id: Int? = null,

	@field:SerializedName("title")
	val title: String? = null
)
