package codeflies.com.mcc.Model


data class VehicleDetailsModel(
    val status: Boolean,
    val message: String,
    val data: List<VehicleDetailsPojo>
)

data class VehicleDetailsPojo(
    val id: Int,
    val name: String,
    val vehicle_no: String,
    val vehicle_type_id: Int,
    val vehicle_type: String,
    val brand_id: Int,
    val brand_name: String,
    val vehicle_model_id: Int,
    val purchase_date: String,
    val model_name: String,
    val vehicle_fuel_id: Int,
    val fuel_name: String,
    val user_id: Int,
    val user_name: String,
    val vehicleVariant: VehicleVariant,
    val vehicleEngine: VehicleEngine,
    val mileage: String,
    val reg_plate_number: String,
    val reg_expiry_date: String,
    val check_reg_expiry: Boolean,
    val vin_number: String,
    val vin_expiry_date: String,
    val check_vin_expiry: Boolean,
    val vehicle_price: String,
    val membership_detail: String,
    val membership_expiry_date: String,
    val check_mem_expiry: Boolean,
    val policy_number: String,
    val policy_expiry_date: String,
    val check_policy_expiry: Boolean,
    val vehicleType: VehicleType,
    val brand: Brand,
    val VehicleModel: VehicleDetailModel,
    val VehicleFuel: VehicleFuel,
    val user: User,
    val images: List<Image>,
    val image: String
)

data class VehicleType(
    val id: Int,
    val name: String
)

data class Brand(
    val id: Int,
    val name: String,
    val brand_id: Any
)

data class VehicleDetailModel(
    val id: Int,
    val name: String,
    val brand_id: Int
)

data class VehicleFuel(
    val id: Int,
    val name: String
)

data class User(
    val id: Int,
    val first_name: String,
    val last_name: String,
    val email: String,
    val email_verified_at: Any,
    val user_type: String,
    val status: Int,
    val google_id: Any,
    val google_token: Any,
    val facebook_id: Any,
    val facebook_token: Any,
    val token: String
)

data class Image(
    val id: Int,
    val image: String
)

data class VehicleEngine(
    val id: Int,
    val name: String
)

data class VehicleVariant(
    val id: Int,
    val name: String
)
