package codeflies.com.mcc.Singleton

import codeflies.com.mcc.Activity.MainActivity

// AppManager.kt
class AppManager private constructor() {

    private var mainActivity: MainActivity? = null

    companion object {
        val instance: AppManager by lazy { AppManager() }
    }

    fun setMainActivity(activity: MainActivity) {
        mainActivity = activity
    }

    fun getMainActivity(): MainActivity? {
        return mainActivity
    }



}
