package codeflies.com.mcc.Adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.viewpager.widget.PagerAdapter
import codeflies.com.mcc.Model.ImagesItem
import codeflies.com.mcc.databinding.CarImageSliderBinding
import com.bumptech.glide.Glide

class RepairViewAdapter(
    private val context: Context,
    private val data: List<ImagesItem?>?
) : PagerAdapter() {

    private lateinit var binding: CarImageSliderBinding
    private val layoutInflater: LayoutInflater = LayoutInflater.from(context)

    override fun getCount(): Int {
        return data!!.size
    }

    override fun isViewFromObject(view: View, `object`: Any): Boolean {
        return view == `object` as View
    }

    override fun instantiateItem(container: ViewGroup, position: Int): Any {
        binding = CarImageSliderBinding.inflate(layoutInflater, container, false)
        val view = binding.root

        Glide.with(context).load(data!![position]?.image).into(binding.viewimg)

        container.addView(view)


        return view
    }

    override fun destroyItem(container: ViewGroup, position: Int, `object`: Any) {
        container.removeView(`object` as View)
    }
}
