package codeflies.com.mcc.Fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import codeflies.com.mcc.Activity.MainActivity
import codeflies.com.mcc.R
import codeflies.com.mcc.databinding.FragmentAddReminderBinding

class AddReminderFragment : Fragment() {

    private var _binding: FragmentAddReminderBinding? = null
    private val binding get() = _binding!!
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        // Inflate the layout for this fragment
        _binding = FragmentAddReminderBinding.inflate(inflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        binding.addReminderServices.setOnClickListener {
            val fragmentManager = activity?.supportFragmentManager

            // Start a new fragment transaction
            val fragmentTransaction = fragmentManager?.beginTransaction()

            // Replace the current fragment with a new one
            fragmentTransaction?.replace(R.id.frameHome, HomeFragment())


            // Optional: Add to back stack for back navigation
            fragmentTransaction?.addToBackStack(null)

            // Commit the transaction
            fragmentTransaction?.commit()
            MainActivity.titleTop.text = getString(R.string.app_name)
        }
    }

}