package codeflies.com.mcc.Fragment

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import codeflies.com.mcc.Activity.LoginActivity
import codeflies.com.mcc.databinding.FragmentMenuBinding
import com.google.android.gms.auth.api.signin.GoogleSignInClient
import com.google.firebase.Firebase
import com.google.firebase.auth.FirebaseAuth
import com.google.firebase.auth.FirebaseUser
import com.google.firebase.auth.auth


class MenuFragment : Fragment() {

    private var _binding : FragmentMenuBinding? = null
    private val binding get() = _binding!!

    private lateinit var auth: FirebaseAuth
    private lateinit var googleSignInClient: GoogleSignInClient


    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        // Inflate the layout for this fragment
        _binding = FragmentMenuBinding.inflate(inflater,container,false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        if (isAdded){
            auth = Firebase.auth


        }

    }

    // Example function to update UI or navigate to another screen
    private fun updateUI(user: FirebaseUser?) {
        if (user == null) {
            // User is signed out, navigate to the sign-in screen or update UI accordingly
            startActivity(Intent(context, LoginActivity::class.java))
            activity?.finish()
        } else {
            // User is signed in, update UI accordingly
            // For example, you can show a welcome message or other content
        }
    }


    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}