package codeflies.com.mcc.Helper

import android.app.Dialog
import android.content.Context
import android.os.Bundle
import android.view.Window
import codeflies.com.mcc.databinding.ProgressBarLayoutBinding

class ProgressDisplay(context: Context) : Dialog(context) {

    private lateinit var binding: ProgressBarLayoutBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        requestWindowFeature(Window.FEATURE_NO_TITLE)
        window?.setBackgroundDrawableResource(android.R.color.transparent)
        binding = ProgressBarLayoutBinding.inflate(layoutInflater)
        setContentView(binding.root)

        setCanceledOnTouchOutside(false)
    }

    fun setMessage(message: String) {
        binding.title.text = message
    }
}

