package codeflies.com.mcc.Model

data class SignUpModel(
    val status: String,
    val message: String,
    val data: Userdata
)

data class Userdata(
    val id: String,
    val first_name: String,
    val last_name: String,
    val email: String,
    val email_verified_at: String,
    val user_type: String,
    val status: String,
    val google_id: String,
    val google_token: String,
    val facebook_id: String,
    val facebook_token: String,
    val token: String,
    val userDetail: UserDetails,
    val reminders: List<Reminders?>? = null

)

data class UserDetails(
    val id: String,
    val user_id: String,
    val fcm_token: String,
    val address: String,
    val country: CountryPjo,
    val city: CityPjo
)

data class CountryPjo(
    val name: String,
    val id: String
)

data class CityPjo(
    val name: String,
    val id: String
)


data class Reminders(
    val id: Int,
    val name: String,
    val is_enabled: Int
)